[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# iovec

IO buffer structure

## Declaration

Source position: ostypes.inc line 346

`type iovec = record`
`iov_base: pointer;` |  | Location of the buffer
`iov_len: size_t;` |  | Length of the buffer
`end;`

## Description

iovec is used in fpreadv for IO to multiple buffers to describe a buffer location.

## See also

fpreadv |  | Vector read: Read into multiple buffers
fpwritev |  | Vector write: Write from multiple buffers to a file descriptor

Documentation generated on: Feb 26 2014